package org.ts.ddcs.Entity;

import java.math.BigDecimal;
import java.sql.Timestamp;

public class PptnEntity {
    private String STCD; //测站编码
    private Timestamp TM; //观测时间
    private BigDecimal DRP; //时段降水
    private BigDecimal INTV; //时段长
    private BigDecimal PDR;  //降水历时
    private BigDecimal DYP; //日降水量
    private String WTH; //天气状况
    private Timestamp DT;  //报文发送时间
    private Timestamp TS; //接收时间
    private BigDecimal PT; //累计降水量

    public String getSTCD() {
        return STCD;
    }

    public void setSTCD(String STCD) {
        this.STCD = STCD;
    }

    public Timestamp getTM() {
        return TM;
    }

    public void setTM(Timestamp TM) {
        this.TM = TM;
    }

    public BigDecimal getDRP() {
        return DRP;
    }

    public void setDRP(BigDecimal DRP) {
        this.DRP = DRP;
    }

    public BigDecimal getINTV() {
        return INTV;
    }

    public void setINTV(BigDecimal INTV) {
        this.INTV = INTV;
    }

    public BigDecimal getPDR() {
        return PDR;
    }

    public void setPDR(BigDecimal PDR) {
        this.PDR = PDR;
    }

    public BigDecimal getDYP() {
        return DYP;
    }

    public void setDYP(BigDecimal DYP) {
        this.DYP = DYP;
    }

    public String getWTH() {
        return WTH;
    }

    public void setWTH(String WTH) {
        this.WTH = WTH;
    }

    public Timestamp getDT() {
        return DT;
    }

    public void setDT(Timestamp DT) {
        this.DT = DT;
    }

    public Timestamp getTS() {
        return TS;
    }

    public void setTS(Timestamp TS) {
        this.TS = TS;
    }

    public BigDecimal getPT() {
        return PT;
    }

    public void setPT(BigDecimal PT) {
        this.PT = PT;
    }
}
